#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.10.0.0
visibility:           public
id:                   ghcide-1.10.0.0-9b5uoYhHFSz3XRArHf5tgp
key:                  ghcide-1.10.0.0-9b5uoYhHFSz3XRArHf5tgp
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  d62763ef8c324f0a83348c8b2436c186
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.10.0.0-9b5uoYhHFSz3XRArHf5tgp
depends:
    Diff-0.4.1-5fEVAFbMVpM7PXdnbUlXEt
    Glob-0.10.2-KeBLB1tkQenH6quBsy2Y2G
    aeson-2.1.2.1-A1BsFbrv9iTYSCFmVNKuj
    aeson-pretty-0.8.10-DrsQCLvNuIF9hHGfJvi7SR array-0.5.4.0
    async-2.2.5-C7wSBqUZtbTIGwzJcB5Zmf base-4.16.4.0
    base16-bytestring-1.0.2.0-AK96RZYr55lHVf4WSwGA81 binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-I46wme4HSBgIh3yrnsqYFO
    co-log-core-0.3.2.3-IFU4RYsmPuc2njkU3saNIT containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-9Zk40MHp9eRKJkzFHk0IQ6
    data-default-0.7.1.1-dedT9YOqsF2aVr3BjFeyL deepseq-1.4.6.1
    dependent-map-0.4.0.0-ChkxjwxtcKcAl6sp4O4g7z
    dependent-sum-0.7.2.0-3iWOOUgwIaC1jhhWAczqDx directory-1.3.6.2
    dlist-1.0-H3nZuV4Cu6x25BMSdMVFHl
    enummapset-0.7.3.0-KkLzebYXmMoIPsTznhBX0c exceptions-0.10.4
    extra-1.7.16-DVxFkxw4Jbm8VUOqVAQU72 filepath-1.4.2.2
    fingertree-0.1.5.0-4r5PI93krbd5Tg4mk24FIP
    focus-1.0.3.2-2zQ4ioUprxWDkFb21ibC1C ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-6k5cFs4ZxhHBSpLIKXZWSC
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.9-FI8xtj0TQjuI48HJs0fG9x
    haddock-library-1.11.0-G6shfxSR9WD36yIKZTUkCC
    hashable-1.4.4.0-4PDYVYgOfaOHbKjFqbnqvX
    hie-bios-0.12.0-BuyGa2ew68wHGxA5hUe0gY
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.3.0-77eaYAWmqi4HrdTyckQuRS
    hls-graph-1.9.0.0-7Kx1VSUCFSnEbXOmoTUVM
    hls-plugin-api-1.6.0.0-1R0dXSBU3kB6HlLBoG0nJK
    implicit-hie-0.1.2.7-9vOa0BhY48l8fKEHrX1iy3
    implicit-hie-cradle-0.5.0.1-BGeKdNUm8qdFFv8Of4u8ft
    lens-5.2.3-HSZB5kpZAt0LoMCL0cbf2Z
    list-t-1.0.5.5-302gc6Y2dTK1IrLTP62bVs
    lsp-1.6.0.0-AIqSqbIniDC70qkr7eb7mA
    lsp-types-1.6.0.0-CaIDMmjP3emCC16x7JZuSI mtl-2.2.2
    opentelemetry-0.8.0-6pM5yjmAxZT77M6IYhfH11
    optparse-applicative-0.17.1.0-5R9izug6vVKIF3bWENLG8C
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-EK9br09fdXn8mSlFcoOi40
    prettyprinter-ansi-terminal-1.1.3-DHDsj5bK5R1MRx5oh9twY
    random-1.2.1.2-AYM6DIIc9ftFlQ8RzN1HJP
    regex-tdfa-1.3.2.2-1xhjl1IlCf4FpybsqAXAC1
    safe-exceptions-0.1.7.4-HyfvKLzAAPiA6yPEVFXz74
    sorted-list-0.2.2.0-kpw8yxyq8SHnU9GHIXEk1
    sqlite-simple-0.4.19.0-JFKeYumWBsAHemUFMhM7e6 stm-2.5.0.2
    stm-containers-1.2.1-6GtJCrqeTJn7cbGtCdG0u8
    syb-0.7.2.4-7ynUdJcB17N8mF8LpyS12V text-1.2.5.0
    text-rope-0.3-E3Y34Vv23gN7tZoM6r5ex0 time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-GFYnbt2k2E3HdB4VAzWEMx
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-E7OuZmBexWvK28rs1X57rg
    vector-0.13.1.0-1cpgbj3eXUqGZ3uVszXgJ9

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

